openjpa-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From schong <dr.steve.ch...@gmail.com>
Subject openjpa version version exception during maven build
Date Thu, 04 Mar 2010 10:44:32 GMT

Hi,
I'm getting the following message when I build my Open JPA project JAR under
Maven in Netbeans 6.8:

java.util.MissingResourceException:
org.apache.openjpa.persistence.PersistenceProductDerivation:java.io.IOException:
org.xml.sax.SAXException:
file:////home/schong/svn/ProofOfConcept/addressJPA/target/classes/META-INF/persistence.xml
[Location: Line: 2, C: 249]: org.xml.sax.SAXParseException:
cvc-complex-type.3.1: Value '2.0' of attribute 'version' of element
'persistence' is not valid with respect to the corresponding attribute use.
Attribute 'version' has a fixed value of '1.0'.

This is from my persistence.xml: <persistence
xmlns="http://java.sun.com/xml/ns/persistence"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://java.sun.com/xml/ns/persistence
http://java.sun.com/xml/ns/persistence/persistence_1_0.xsd" version="2.0" >

My dependency for open JPA in my pom.xml is:

<dependency>
    <groupId>org.apache.openjpa</groupId>
      <artifactId>openjpa</artifactId>
      <version>2.0.0-M3</version>
</dependency>

Could any point me in the right directions for curing this?

Thanks,
Steve



-- 
View this message in context: http://n2.nabble.com/openjpa-version-version-exception-during-maven-build-tp4673512p4673512.html
Sent from the OpenJPA Users mailing list archive at Nabble.com.

Mime
View raw message